Summary:        Application matching framework
Name:           bamf
Version:        0.5.6
Release:        2
# Library bits are LGPLv2 or LGPLv3 (but not open-ended LGPLv2+);
# non-lib bits are GPLv3.
# pbrobinson points out that three files in the lib are actually
# marked GPL in headers, making library GPL, though we think this
# may not be upstream's intention. For now, marking library as
# GPL.
# License:      LGPLv2 or LGPLv3
License:        LGPLv2 and LGPLv3 and GPLv2 and GPLv3 and LGPLv2+
URL:            https://launchpad.net/bamf
Source0:        http://launchpad.net/bamf/0.5/%{version}/+download/%{name}-%{version}.tar.xz

BuildRequires:  vala
BuildRequires:  gnome-common
BuildRequires:  gtk-doc
BuildRequires:  gobject-introspection-devel
BuildRequires:  make
BuildRequires:  python3-devel
BuildRequires:  python3-lxml
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(gio-unix-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(libgtop-2.0)
BuildRequires:  pkgconfig(libwnck-3.0)
BuildRequires:  pkgconfig(x11)
BuildRequires:  systemd
BuildRequires:  dbus-daemon
BuildRequires:  xorg-x11-server-Xvfb

%description
BAMF removes the headache of applications matching into a simple DBus
daemon and C wrapper library. Currently features application matching
at amazing levels of accuracy (covering nearly every corner case).

%package        devel
Summary:        Development files for %{name}
License:        GPLv2 or GPLv3
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       pkgconfig

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package        daemon
Summary:        Application matching framework
License:        GPLv3
Requires:       %{name}%{?_isa} = %{version}-%{release}
%{?systemd_requires}

%description    daemon
BAMF removes the headache of applications matching into a simple DBus
daemon and C wrapper library. Currently features application matching
at amazing levels of accuracy (covering nearly every corner case). This
package contains the bamf daemon and supporting data.


%prep
%autosetup -p1
NOCONFIGURE=1 ./autogen.sh


%build
%configure --disable-static --disable-webapps --enable-gtk-doc
%make_build


%install
%make_install

find %{buildroot} -regex ".*\.la$" | xargs rm -f --


#%check
#dbus-run-session xvfb-run make check


%ldconfig_scriptlets

%post daemon
%systemd_user_post %{name}daemon.service

%preun daemon
%systemd_user_preun %{name}daemon.service


%files
%license COPYING.LGPL COPYING
%{_libdir}/libbamf3.so.*
%{_libdir}/girepository-1.0/Bamf*.typelib

%files devel
%doc ChangeLog TODO
%{_includedir}/libbamf3
%{_libdir}/libbamf3.so
%{_libdir}/pkgconfig/libbamf3.pc
%{_datadir}/gtk-doc
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/Bamf*.gir
%dir %{_datadir}/vala
%dir %{_datadir}/vala/vapi
%{_datadir}/vala/vapi/libbamf3.vapi

%files daemon
%doc COPYING
%{_libexecdir}/bamf
%{_datadir}/dbus-1/services/*.service
%{_userunitdir}/bamfdaemon.service
%exclude %{_datadir}/upstart/sessions/bamfdaemon.conf

%changelog
* Mon Aug 08 2022 peijiankang<peijiankang@kylinos.cn> - 0.5.6-2
- modify compile error of buildlog

* Thu Jul 07 2022 tanyulong<tanyulong@kylinos.cn> - 0.5.6-1
- update to upstream version 0.5.6

* Tue Apr 26 2022 tanyulong<tanyulong@kylinos.cn> - 0.5.5-2
- modify license warning

* Wed Jan 12 2022 pei-jiankang<peijiankang@kylinos.cn> - 0.5.5-1
- update to upstream version 0.5.5

* Thu Jul 23 2020 wangmian<wangmian@kylinos.cn> - 0.5.4-4
- Init bamf project
